{% extends 'base.html.twig' %}

{% block header_title %}<h1>Modifier <strong>{{ user.username }}</strong></h1>{% endblock %}
{% block header_img %}{% endblock %}

{% block body %}
    <div class="row">
        {{ form_start(form) }}
        {{ form_label(form.roles, 'form.role.label') }}
        {% if "ROLE_ADMIN" in user.roles %}
            {{ form_widget(form.roles, {'data':'1'}) }}
        {% else %}
            {{ form_widget(form.roles, {'data':'2'}) }}
        {% endif %}
        <div style="display: none">
            {{ form_label(form.username, 'form.username.label') }}
            {{ form_widget(form.username, {'attr':{'readonly':'1'}}) }}
            {{ form_label(form.email, 'form.email.label') }}
            {{ form_widget(form.email, {'attr':{'readonly':'1'}}) }}
            {{ form_label(form.password.first, 'form.password.label') }}
            {{ form_widget(form.password.first, {'attr':{'readonly':'1', 'value': user.password }}) }}
            {{ form_label(form.password.second, 'form.password.confirm_label') }}
            {{ form_widget(form.password.second, {'attr':{'readonly':'1', 'value': user.password }}) }}
        </div>
        {{ form_row(form._token) }}
        <button type="submit" class="btn btn-success pull-right">Modifier</button>
        {{ form_end(form, {'render_rest': false}) }}

    </div>
{% endblock %}
